<bugID>810340<Summary>Downloads button changes size on OSX depending on the time remaining in a download</Summary><Description>Bug 794752 fixed the problem where the downloads button resized itself on first click.

Now it looks like the OSX button isn't wide enough for its potential contents. I'll attach a screenshot with an example.</Description></bugID>